summaryrefslogtreecommitdiffstats
path: root/bin/d-i_check_jobs.sh
diff options
context:
space:
mode:
authorPhilip Hands <phil@hands.com>2017-01-25 11:50:18 +0100
committerHolger Levsen <holger@layer-acht.org>2017-01-25 11:55:44 +0100
commitfc52c12a31b7abe3c7033462156dbab514210c82 (patch)
tree3a677da7178f84cd51ac32917efd2e1b389f05af /bin/d-i_check_jobs.sh
parentc38ffaffb0595be4c5ec155072ed44565ee656ab (diff)
downloadjenkins.debian.net-fc52c12a31b7abe3c7033462156dbab514210c82.tar.xz
d-i: pass non_{po,pdf}_langs as params to aid checking manuals
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/d-i_check_jobs.sh')
-rwxr-xr-xbin/d-i_check_jobs.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/bin/d-i_check_jobs.sh b/bin/d-i_check_jobs.sh
index 49f0ef24..90978b9b 100755
--- a/bin/d-i_check_jobs.sh
+++ b/bin/d-i_check_jobs.sh
@@ -7,6 +7,11 @@ DEBUG=false
. /srv/jenkins/bin/common-functions.sh
common_init "$@"
+# 1st param is a : separated list of the non_po_langs
+NON_PO_LANGS=$1 ; shift
+# 2nd param is a : separated list of the non_pdf_langs
+NON_PDF_LANGS=$1 ; shift
+
#
# define some variables
#
@@ -138,11 +143,14 @@ for DIRECTORY in * ; do
continue
else
for FORMAT in pdf html ; do
- if [ $FORMAT = pdf ] ; then
- # Some languages are unsupported in PDF
- case $DIRECTORY in
- el|ja|vi|zh_CN|zh_TW) continue ;;
- esac
+ # Some languages are unsupported in PDF
+ if [ $FORMAT = pdf ] &&
+ expr match ${NON_PDF_LANGS} ".*\b${$DIRECTORY}\b" >/dev/null ; then
+ continue ;;
+ fi
+ # we add a _po2xml suffix for all but the NON_PO_LANGS
+ if ! expr match ${NON_PO_LANGS} ".*\b${$DIRECTORY}\b" >/dev/null ; then
+ FORMAT=${FORMAT}_po2xml
fi
if [ ! -d ~jenkins/jobs/${DI_MANUAL_JOB_PATTERN}${DIRECTORY}_${FORMAT} ] ; then
echo "Warning: No build job '${DI_MANUAL_JOB_PATTERN}${DIRECTORY}_${FORMAT}'."